Page MenuHomePhabricator

tests/elm: add more naviframe tests
ClosedPublic

Authored by zmike on Apr 22 2020, 10:25 AM.

Details

Summary

some tests to explicitly verify callback and internal behavior
Depends on D11751

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Apr 22 2020, 10:25 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Apr 22 2020, 10:25 AM

Rest looks good

src/tests/elementary/elm_test_naviframe.c
137

If this is meant as a fixme marker better add some FIXME or XXX to make it easier to find :-)

zmike added a comment.Apr 23 2020, 6:48 AM

No, it's not a FIXME, just a note for anyone considering adding tests for it.

stefan_schmidt accepted this revision.Apr 28 2020, 3:22 AM

Not the biggest fan of adding more commented out code, but we already have quite a bit of it with the same intent. Would be a bit picky to not allow this case. :-)

This revision is now accepted and ready to land.Apr 28 2020, 3:22 AM
This revision was automatically updated to reflect the committed changes.